Bug 998289 - Installer requires swap partition
Installer requires swap partition
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-18 18:51 EDT by reescf
Modified: 2013-09-30 11:26 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-30 11:26:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description reescf 2013-08-18 18:51:54 EDT
Description of problem:

Although the installer says that swap is not strictly required but only recommended, it refuses to allow installation to continue without a swap partition. Moreover, it demanded almost 8G of swap on the system I was installing on - presumably because it has 8G of RAM. On a system with a single, small SDD, this is a wopping eighth of the total available storage space. Since it has 8G of RAM, it is also entirely unnecessary.

Version-Release number of selected component (if applicable):

Fedora-Live-KDE-x86_64-19-1.iso

How reproducible:

Happened every time I tried.

Steps to Reproduce:
1. Use KDE spin.
2. Try to install without swap.

Actual results:

Installation cannot continue.

Expected results:

Either the installation is permitted - perhaps after the user confirms they really don't want swap. Or the error/warning should make clear that installation requires swap and that it requires as much swap space as the system has RAM. As it is, it is couched as a recommendation but enforced as a legal requirement.
Comment 1 Steve Tyler 2013-08-19 02:07:26 EDT
Thanks for your report.

> [8G RAM] is a wopping eighth of the total available storage space.

Could you confirm that you are installing to a 64 GB SSD, then?

> Installation cannot continue.

Do you mean that the Begin Installation button is inactive?

I cannot reproduce this problem by starting with an empty 64 GB disc image and configuring storage from Manual Partitioning as follows:
/boot  1    GB
/     12    GB
/home 52.53 GB (allocate all remaining space by entering a size larger than the amount of space remaining)

Could you attach a screenshot of the Manual Partitioning dialog after you have configured storage in a way that the installer does not accept?
(Press the PrintScrn key to save a sreenshot from KDE Live.)

$ qemu-img create f19-test-3.img 64G
Formatting 'f19-test-3.img', fmt=raw size=68719476736 
$ qemu-kvm -m 8192 -hda f19-test-3.img -cdrom ~/xfr/fedora/F19/Fedora-Live-KDE-x86_64-19-1.iso -vga std -boot menu=on
Comment 2 Chris Lumens 2013-08-21 15:49:10 EDT
Please attach /tmp/storage.log and /tmp/anaconda.log from when you hit this problem to this bug report.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.